VERSION 5.00
Object = "{5006E56D-FEDE-4C64-9CC2-78C320929406}#1.0#0"; "TeeChart2011.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7860
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   12105
   LinkTopic       =   "Form1"
   ScaleHeight     =   7860
   ScaleWidth      =   12105
   StartUpPosition =   3  'Windows Default
   Begin TeeChart.TChart TChart1 
      Height          =   6660
      Left            =   405
      TabIndex        =   1
      Top             =   765
      Width           =   11445
      Base64          =   $"Form1.frx":0000
   End
   Begin VB.ComboBox comDate 
      Height          =   315
      Left            =   420
      TabIndex        =   0
      Text            =   "comDate"
      Top             =   195
      Width           =   2430
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim dbData As Database
Dim DBLocation As String

Dim dbRecordSet As New ADODB.Recordset
Dim Connection As New ADODB.Connection

Private Sub comDate_Change()

    Dim strSQL As String

    If IsDate(Format(comDate.Text, "dd/mmm/yyyy")) = False Then Exit Sub

    strSQL = "SELECT * FROM Analysis WHERE dtDate = #" & Format(comDate.Text, "dd/mm/yyyy") & "# ORDER BY dtDate, dtTime"

    TChart1.RemoveAllSeries
    Dim i As Integer
    With TChart1
        For i = 0 To 3
            .AddSeries scLine
            .Series(i).XValues.DateTime = True
        Next
    End With

    Call dbRecordSet.Open(strSQL)
      
    With TChart1
    
        .Series(0).DataSource = dbRecordSet
        .Series(1).DataSource = dbRecordSet
        .Series(2).DataSource = dbRecordSet
        .Series(3).DataSource = dbRecordSet
        
        
        .Series(0).YValues.ValueSource = "C1VMean"
        .Series(1).YValues.ValueSource = "C2VMean"
        .Series(2).YValues.ValueSource = "C3VMean"
        .Series(3).YValues.ValueSource = "VAMean"
    
        .Series(0).XValues.ValueSource = "dtTime"
        .Series(1).XValues.ValueSource = "dtTime"
        .Series(2).XValues.ValueSource = "dtTime"
        .Series(3).XValues.ValueSource = "dtTime"

            
        .Series(0).LegendTitle = "C1 Mean"
        .Series(1).LegendTitle = "C2 Mean"
        .Series(2).LegendTitle = "C3 Mean"
        .Series(3).LegendTitle = "Current Average"
        
        .Header.Caption = "Current Against Time By Day - " & comDate.Text

        'Dim i As Integer
        For i = 0 To 3
            .Series(i).Pen.Width = 2
            .Series(i).asLine.Smoothed = 1
        Next

        .RefreshData
    End With
    
    dbRecordSet.Close

End Sub

Private Sub comDate_Click()

    comDate_Change

End Sub


Private Sub Form_Load()

    Dim dsDate As Recordset
    
    DBLocation = App.Path & IIf(Right(App.Path, 1) = "/", "", "/") & "01Air.mdb"
    
    'Open Database
    Set dbData = OpenDatabase(DBLocation)
    
    'Open Recordset to get unique dates from database to populate the combo box
    Set dsDate = dbData.OpenRecordset("SELECT DISTINCT(dtDate) as dDate FROM Analysis WHERE Format(dtDate, 'yyyy') <> '1900' ORDER BY dtDate", dbOpenSnapshot)


    'Populate the date dropdown box with all valid dates from database
    Do While dsDate.EOF = False
        comDate.AddItem Format(dsDate!dDate, "dd/mm/yyyy")
        
        dsDate.MoveNext
    Loop

    'Open the Chart settings
    With TChart1
        .Series(0).Active = True
        Dim connString As String
        connString = "Provider=Microsoft.Jet.OLEDB.4.0;" & "Data Source=" & DBLocation & ";" & "Persist Security Info=False"

        Call Connection.Open(connString)

        With dbRecordSet
           .ActiveConnection = Connection
           .CursorLocation = adUseClient
           .CursorType = adOpenDynamic
        End With
    
        Dim i As Integer
        For i = 0 To 3
            .Series(i).Pen.Width = 2
            .Series(i).asLine.Smoothed = 1
        Next

    End With
    
    comDate.ListIndex = 0

End Sub


